Menu Close

10.11. 동적 프로그래밍 언어, 웹 서버 및 데이터베이스 서버

OQGraph 플러그인이 활성화된 경우 MariaDB 10.5 는 존재하지 않는 테이블을 삭제할 것을 경고하지 않습니다.

OQGraph 스토리지 엔진 플러그인이 MariaDB 10.5 서버에 로드되면 MariaDB 에서 존재하지 않는 테이블을 삭제할 것을 경고하지 않습니다. 특히 사용자가 DROP TABLE 또는 DROP TABLE IF EXISTS SQL 명령을 사용하여 존재하지 않는 테이블을 삭제하려고 하면 MariaDB 에서 오류 메시지를 반환하거나 경고를 기록하지 않습니다.

OQGraph 플러그인은 기본적으로 설치되지 않는 mariadb-oqgraph-engine 패키지에서 제공합니다.

(BZ#1944653)

PAM 플러그인 버전 1.0이 MariaDB에서 작동하지 않음

MariaDB 10.3 은 PAM(Pluggable Authentication Modules) 플러그인 버전 1.0을 제공합니다. MariaDB 10.5 는 플러그인 버전 1.0 및 2.0을 제공하며 버전 2.0은 기본값입니다.

MariaDB PAM 플러그인 버전 1.0은 RHEL 8에서 작동하지 않습니다. 이 문제를 해결하려면 mariadb:10.5 모듈 스트림에서 제공하는 PAM 플러그인 버전 2.0을 사용합니다.

(BZ#1942330)

getpwnam() 은 32비트 애플리케이션에 의해 호출될 때 실패할 수 있습니다.

NIS 사용자가 getpwnam() 함수를 호출하는 32비트 애플리케이션을 사용하는 경우 nss_nis.i686 패키지가 누락된 경우 호출이 실패합니다. 이 문제를 해결하려면 yum install nss_nis.i686 명령을 사용하여 누락된 패키지를 수동으로 설치합니다.

(BZ#1803161)

OpenLDAP 라이브러리 간의 기호 충돌로 인해 httpd에서 충돌이 발생할 수 있습니다.

OpenLDAP에서 제공하는 libldap 및 libldap_r 라이브러리가 모두 로드되고 단일 프로세스 내에서 사용되는 경우 이러한 라이브러리 간의 기호 충돌이 발생할 수 있습니다. 결과적으로 httpd 구성을 통해 mod_security 또는 mod_auth_ openidc 모듈도 로드하는 경우 PHP ldap 확장을 사용하는 Apache httpd 하위 프로세스가 예기치 않게 종료될 수 있습니다.

RHEL 8.3이 Apache APR(Apache Portable Runtime) 라이브러리로 업데이트되므로 httpd 모듈을 로드할 때 RTLD _DEEPBIND 동적 링커 옵션을 사용할 수 있는 APR _DEEPBIND 환경 변수를 설정하여 문제를 해결할 수 있습니다. APR_DEEPBIND 환경 변수가 활성화되면 라이브러리를 로드하는 httpd 구성에서 충돌이 발생하지 않습니다.

(BZ#1819607)